Subject: [Iasa20] DISCUSSION: LLC Board Member Removal in <draft-ietf-iasa2-rfc7437bis-00>

From: Bob Hinden <[email-masked]>
Date: Fri, 12 Oct 2018 14:40:28 -0700

Hi,

One of the changes in the draft was to remove the IAOC and add the LLC Board Member to the removal section.  However, it not clear that the IETF removal process works for the LLC.  The text in the draft is:

7.1.  IETF LLC Board Member Removal

   DISCUSSION:

      Is it correct that the IETF recall process can be used to recall
      an IETF LLC member?

   As described in Section 4.12 of [I-D.ietf-iasa2-struct], Members of
   the IETF LLC Board may be removed with or without cause by the IETF
   LLC Board itself.  In addition, this IETF recall process can also be
   used to remove or recall an IETF LLC member.

We would appreciate your feedback.

Thanks,
Bob & Jason

---

From: "Joel M. Halpern" <[email-masked]>
Date: Fri, 12 Oct 2018 19:48:01 -0400

It seems sensible and appropriate for the IETF nomcom-related recall 
procedure to apply to the LLC Board members appointed by the IETF nomcom.

Yours,
Joel

On 10/12/18 5:40 PM, Bob Hinden wrote:
> _______________________________________________
> iasa20 mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/iasa20
>

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 13 Oct 2018 14:16:50 +1300

> procedure to apply to the LLC Board members appointed by the IETF nomcom.

Agreed, but is it legally feasible? I think we'd need input from counsel
about that.

    Brian

---

From: "John Levine" <[email-masked]>
Date: 12 Oct 2018 21:59:32 -0400

It's a little late to debate this topic.  The LLC agreement that we
have already approved and are using says "Except for the
Member-appointed Director, Directors may also be removed via the IETF
recall process defined in BCP 10."

If the LLC recall process is any different, we'll have to amend the
LLC agreement which (speaking as the guy who has to manage ISOC board
votes) I would prefer we don't.

R's,
John

In article <[email-masked]> you write:
>One of the changes in the draft was to remove the IAOC and add the LLC Board Member to the removal section.  However, it
>not clear that the IETF removal process works for the LLC.  The text in the draft is:
>

---

From: "Livingood, Jason" <[email-masked]>
Date: Mon, 15 Oct 2018 15:52:08 +0000

Good point, John. I think we can close this one out and I'll update the text for the next revision to reflect this.

New text:
As described in Section 4.12 of [structure], embers of the IETF LLC Board may be removed with or without cause by the IETF LLC Board itself. In addition, this IETF recall process can also be used to remove or recall an IETF LLC member, except for the member appointed by the Internet Society.

JL

On 10/12/18, 9:59 PM, "iasa20 on behalf of John Levine" <[email-masked] on behalf of [email-masked]> wrote:

    
    R's,
    John

---

From: Joseph Lorenzo Hall <[email-masked]>
Date: Mon, 15 Oct 2018 12:17:03 -0400

Jason, typo s/embers/members/

And, isn't this text confusing "member" as in IETF LLC is a
"sole-member LLC with the ISOC as it's only member" and "director" as
one of the members of the board of the IETF LLC?
On Mon, Oct 15, 2018 at 11:52 AM Livingood, Jason

-- 
Joseph Lorenzo Hall
Chief Technologist, Center for Democracy & Technology [https://www.cdt.org]
1401 K ST NW STE 200, Washington DC 20005-3497
e: [email-masked], p: 202.407.8825, pgp: https://josephhall.org/gpg-key
Fingerprint: 3CA2 8D7B 9F6D DBD3 4B10  1607 5F86 6987 40A9 A871

---

From: "Livingood, Jason" <[email-masked]>
Date: Mon, 15 Oct 2018 16:21:36 +0000

Thanks for catching that error. As for the member/director term, RFC 7437 refers to any member of a respective body (IETF LLC, IESG, IAB) as a member. So under Section 2, Definitions, we updated it to clarify this:

sitting member:  A person who is currently serving a term of membership in the IESG or IAB, as a Trustee for the Internet Society, or as a Director for the IETF LLC.

Hope that helps! I was quite confused by the terminology myself initially.

JL

On 10/15/18, 12:17 PM, "Joseph Lorenzo Hall" <[email-masked]> wrote:

---

From: Joseph Lorenzo Hall <[email-masked]>
Date: Mon, 15 Oct 2018 12:25:42 -0400

Thanks for the clarification!
On Mon, Oct 15, 2018 at 12:21 PM Livingood, Jason

---

From: "John R Levine" <[email-masked]>
Date: 15 Oct 2018 12:38:08 -0400

> Jason, typo s/embers/members/

No, that's what happens when they start flaming each other.

> one of the members of the board of the IETF LLC?

Directors would be less confusing.

>>     votes) I would prefer we don't.

Regards,
John Levine, [email-masked], Taughannock Networks, Trumansburg NY
Please consider the environment before reading this e-mail. https://jl.ly

---

From: "John R Levine" <[email-masked]>
Date: 15 Oct 2018 12:38:57 -0400

> sitting member:  A person who is currently serving a term of membership in the IESG or IAB, as a Trustee for the Internet Society, or as a Director for the IETF LLC.

I believe you mean "Trustee of the IETF Trust."  I happen to be both, and 
the difference matters.

R's,
John

Regards,

---

From: "Livingood, Jason" <[email-masked]>
Date: Mon, 15 Oct 2018 16:58:32 +0000

John - On the question of changing references from member to director in the case of the IETF LLC and trustee in the case of the ISOC BoT, we have over 100 instances of the word 'member' in RFC 7437. So on the one hand, that is a fair bit of editing to do but not particularly complicated. On the other hand, it could better clarify the document for future readers. If the WG did want proceed with such changes I might suggest that those changes alone be made from one revision to the next in order to make those changes easier to spot and review in a diff.

Thoughts on whether we should proceed with such a clean up and clarification?

Thanks
Jason

---

From: "John R Levine" <[email-masked]>
Date: 15 Oct 2018 13:18:21 -0400

> John - On the question of changing references from member to director in 
> the case of the IETF LLC and trustee in the case of the ISOC BoT, we 
> have over 100 instances of the word 'member' in RFC 7437. So on the one 
> hand, that is a fair bit of editing to do but not particularly 
> complicated. On the other hand, it could better clarify the document for 
> future readers. If the WG did want proceed with such changes I might 
> suggest that those changes alone be made from one revision to the next 
> in order to make those changes easier to spot and review in a diff.

I took a look at the draft.  The word "member" appears 20 times, "members" 
44 times, but a lot of of them don't refer to the LLC.  I think it's worth 
fixing to say LLC directors where appropriate and it won't be all that 
much work.

While we're down in the weeds, the first sentence says "This document is a 
revision of and supercedes BCP 10" which I don't think is right. BCP 10 is 
currently RFC 7437 and RFC 8318.  I assume it's intended to replace both 
of those in which case it will become BCP 10.  Remember that BCP's can 
change but RFC's can't.  And what about 8318?

R's,
John

Regards,

---

From: "John R Levine" <[email-masked]>
Date: 15 Oct 2018 13:21:13 -0400

On Mon, 15 Oct 2018, John R Levine wrote:
> I took a look at the draft.  The word "member" appears 20 times, "members" 44 
> times, but a lot of of them don't refer to the LLC.  I think it's worth 
> fixing to say LLC directors where appropriate and it won't be all that much 
> work.

Bonus extra work: while we're fixing LLC directors, we should also fix 
IETF Trust trustees, since most of them will be selected and recalled 
through the BCP 10 process.

Regards,

---

From: Bob Hinden <[email-masked]>
Date: Mon, 15 Oct 2018 10:56:31 -0700

John,

> On Oct 15, 2018, at 10:18 AM, John R Levine <[email-masked]> wrote:
> 
> I took a look at the draft.  The word "member" appears 20 times, "members" 44 times, but a lot of of them don't refer to the LLC.  I think it's worth fixing to say LLC directors where appropriate and it won't be all that much work.

I also took a look and agree it shouldn’t be too hard to fix.  Better to have it correct.

> 
> While we're down in the weeds, the first sentence says "This document is a revision of and supercedes BCP 10" which I don't think is right. BCP 10 is currently RFC 7437 and RFC 8318.  I assume it's intended to replace both of those in which case it will become BCP 10.  Remember that BCP's can change but RFC's can't.  And what about 8318?

This needs some changes that separates the changes in RFC7434 from changes in this draft.    I will take a look at that and propose some text.

Thanks,
Bob